import { api, downloadFile, createApiUrl} from '~/utils/axios';









/**
 * 获取合作伙伴列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getPartnersList(data) {
  return api.post('Home.Partners.Partners/getPartnersList', data);
}

/**
 * 删除合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function deletePartners(data) {
  return api.post('Home.Partners.Partners/deletePartners', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function addPartners(data) {
  return api.post('Home.Partners.Partners/addPartners', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑合作伙伴
 * @param {Object} data
 * @return {Promise} api
 */
export function editPartners(data) {
  return api.post('Home.Partners.Partners/editPartners', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}
